Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence Class Reference

`#include <iiop_endpoints.h>`

Inheritance diagram for _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence

[legend]
Collaboration diagram for _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence (void)
| _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence (CORBA::ULong maximum, CORBA::ULong length, TAO_IIOP_Endpoint_Info *data, CORBA::Boolean release = 0)
| _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence (const _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence &rhs)
_TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence& | operator= (const _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence &rhs)
virtual | ~_TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence (void)
TAO_IIOP_Endpoint_Info& | operator[] (CORBA::ULong i)
const TAO_IIOP_Endpoint_Info& | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
| Must deallocate the buffer and then set it to zero.
TAO_IIOP_Endpoint_Info* | get_buffer (CORBA::Boolean orphan = 0)
const TAO_IIOP_Endpoint_Info* | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, TAO_IIOP_Endpoint_Info *data, CORBA::Boolean release)
## Static Public Methods
TAO_IIOP_Endpoint_Info* | allocbuf (CORBA::ULong size)
void | freebuf (TAO_IIOP_Endpoint_Info *buffer)

## Constructor & Destructor Documentation

ACE_INLINE _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence ( | void )

ACE_INLINE _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence ( | CORBA::ULong maximum )

ACE_INLINE _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence ( | CORBA::ULong maximum,
| CORBA::ULong length,
| TAO_IIOP_Endpoint_Info * data,
| CORBA::Boolean release = 0 )

ACE_INLINE _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::_TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence ( | const _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence & rhs )

_TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::~_TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence ( | void )`[virtual]`

## Member Function Documentation

void _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::_allocate_buffer ( | CORBA::ULong length )`[virtual]`

| Ensure that the buffer contains space for at least <length> elements. The constructor must be called for any new elements, the old ones (if any) must be copied into the buffer using operator= and then their destructors must be called. Finally the old buffer must be released. Reimplemented from TAO_Base_Sequence.

void _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::_deallocate_buffer ( | void )`[virtual]`

| Must deallocate the buffer and then set it to zero. Reimplemented from TAO_Base_Sequence.

ACE_INLINE TAO_IIOP_Endpoint_Info * _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::allocbuf ( | CORBA::ULong size )`[static]`

ACE_INLINE void _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::freebuf ( | TAO_IIOP_Endpoint_Info * buffer )`[static]`

ACE_INLINE const TAO_IIOP_Endpoint_Info * _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::get_buffer ( | void ) const

ACE_INLINE TAO_IIOP_Endpoint_Info * _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::get_buffer ( | CORBA::Boolean orphan = 0 )

ACE_INLINE _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence & _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::operator= ( | const _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence & rhs )

ACE_INLINE const TAO_IIOP_Endpoint_Info & _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::operator[] ( | CORBA::ULong i ) const

ACE_INLINE TAO_IIOP_Endpoint_Info & _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::operator[] ( | CORBA::ULong i )

ACE_INLINE void _TAO_Unbounded_Sequence_TAO_IIOPEndpointSequence::replace ( | CORBA::ULong max,
| CORBA::ULong length,
| TAO_IIOP_Endpoint_Info * data,
| CORBA::Boolean release )

The documentation for this class was generated from the following files:

- iiop_endpoints.h
- iiop_endpoints.cpp
- iiop_endpoints.i